
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

import { MessageService } from './message.service';
import { serviceBaseUrl } from './config';


import { OverheadAdvance } from './data-objects';


@Injectable({ providedIn: 'root' })
export class ExtOverheadAdvanceService {
  constructor(private messageService: MessageService, private http: HttpClient) { }
  
  async getOverheadAdvancesByFlat(flatId: number): Promise<OverheadAdvance[]> {
    this.messageService.add(`OverheadAdvanceService: get data by flat ${flatId}`);
    return this.http.get<OverheadAdvance[]>(`${serviceBaseUrl}/v1/overhead_advances/flat/${flatId}`).toPromise()
  }
}
